<solidify-base-action-dialog [titleToTranslate]="'organizationalUnit.modal.requestCreation.title' | translate">
  <form (ngSubmit)="onSubmit()"
        [formGroup]="form"
        class="form"
  >
    <mat-form-field *ngIf="getFormControl(formDefinition.orgUnitName) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.desiredOrganizationalUnitName | translate }}</mat-label>
      <input [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskCreationName"
             [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <mat-form-field *ngIf="getFormControl(formDefinition.message) as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.message | translate }}</mat-label>
      <textarea [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskCreationMessage"
                [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
                matInput
      ></textarea>
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>
  </form>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid"
          [solidifyButtonSpinner]="isLoadingObs | async"
          [solidifyDataTest]="dataTestEnum.preservationSpaceOrgUnitAskCreationSubmit"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.send | translate}}
  </button>
</div>

